# BIJ1 ansible infrastructure

## usage

### Prerequisites

- [git-crypt](https://www.agwa.name/projects/git-crypt/)
- [DebOps](https://debops.org/)

### Secrets

To unlock secrets when you want to use this repo:

```bash
git crypt unlock
```

To lock them again after you finish:

```bash
git crypt lock
```

### Bootstapping servers

Add any hosts to bootstap to the `ansible/inventory/hosts` file.

Then, to bootstrap the server `$HOST_NAME` run:

```bash
debops run bootstrap -l $HOST_NAME -e 'ansible_user=root netbase__hostname_config_enabled=false'
debops run common -l $HOST_NAME -e 'netbase__hostname_config_enabled=false'
```

After bootstrapping, you can run:
```bash
debops run common -l $HOST_NAME
debops run site -l $HOST_NAME
```

If you'd like to rerun a single service,
e.g. `python` for a log mention of `debops.debops.python`,
run:

```bash
debops run service/$SERVICE -l $HOST_NAME
```
